<?php
include("cp_header_adv.php");/**************************************************صفحة اضافة معرض صور*******************************************************************/


//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

$extensionx='' ;
$filex='';


/*  اسم الجدول وبداية الكويرى */  
$table="galleries";

//مسار رفع الملفات والصور
$src="../img/$table/";	
//نحديد الرقم المتسلسل التالى

//وضع مسار رفع الملفات والصور فى سيشن
$_SESSION['upload_folder']=$table;
?>


<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
unset($_SESSION['LastRequest']);
echo"<script type='text/javascript'>
window.location.href = '".$_SERVER['PHP_SELF']."';
</script> ";
exit();
}
else{
  $_SESSION['LastRequest'] = $RequestSignature;

}


//فى حالة سبمت الفورم
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  &&  $_POST['submit']=="اضافة") {



//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['title']);
$writer=str_replace("'","\'",$_POST['writer']);
$_POST['desc'] = str_replace("<br /><br />", "</p><p>", nl2br($_POST['desc']));
$desc=str_replace("'","\'",$_POST['desc']);


$seo_desc=$_POST['seo_desc'];
$keywords=$_POST['keywords'];


$images=str_replace(',null', '', $_POST['images']);

$date=$_POST['date'];
$created=$date=date('Y-m-d H:i:s');
$active;

if(isset($_POST['priority'])){
$priority='1';
}else{
$priority='0';	
}

if(isset($_POST['active'])){
$active='1';
}else{
$active='0';	
}

//نحديد الرقم المتسلسل التالى
//تنفيذ الاستعلام
$result=mysqli_query($conn,"select max(`sort`)+1 as `sort_num` from $table");
$fetch =mysqli_fetch_array($result);
$sort_num=1;
if(is_numeric($fetch['sort_num'])){$sort_num=$fetch['sort_num'];}
$_SESSION['page_id']=$sort_num;


   


$q="INSERT INTO `galleries`(`writer`,`seo_desc`,`sort`,`images`,`keywords`,`date`,`priority`, `title`, `active`,  `desc`,`created`) VALUES 
							   ('$writer','$seo_desc','$sort_num','$images','$keywords','$date','$priority','$title','$active','$desc','$created')";


	


//بداية الاستعلام
$query= mysqli_prepare(

			$conn,

			"INSERT INTO `$table`

			( `writer`,`seo_desc`,`sort`,`images`,`keywords`,`date`,`priority`, `title`, `active`,  `desc`,`created`,`user_created`) 

			VALUES 

			( ?, ?, ?, ?, ?, ? ,? ,? ,? ,? ,? ,?)");

		

			
			//تهيئة المتغيرات وحمايتها من الحقن
			mysqli_stmt_bind_param($query,'ssisssisiss',
			
			 $writer,$seo_desc,$sort_num,$images,$keywords,$date,$priority,$title,$active,$desc,$created,$_SESSION[$domain."_user"]

			);

			
			
//تنفيذ الاستعلام وتخزين حالته
$execute_status=mysqli_stmt_execute($query);
			 
//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	
echo "<div class='true'>تم رفع الوصف</div>";

 
}else{
err:	
echo "<div class='false'>لم يتم رفع الوصف</div>";  
 
  
		
}
 
   
$_POST['submit']=="اضافة2";
}
error:


?>
	
	
<!--تكست اريا اديتور -->
<link rel="stylesheet" href="small_editor/wymeditor/skins/default/skin.css">
<script src="small_editor/wymeditor/jquery.wymeditor.js"></script>
<script type="text/javascript" src="small_editor/wymeditor/plugins/table/jquery.wymeditor.table.js"></script>

    <script type="text/javascript">
        $(function() {
                $('.wymeditor').wymeditor({
                    postInit: function (wym) {
                        wym.table();
                    }
                });
                $(".wym_area_right").hide();
                $(".wym_area_bottom").hide();
        });
    </script>
    	
	
	
<div id="cp_title"> اضافة معرض صور 
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	
	
 </div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">


<div class="cp_login_row " style="float:right;;height:120px">
	<div class="cp_title "><span style="color:red">*</span>عنوان المعرض</div>
	<div class="cp_field">
	<input alt="1" id="title" class="required" name="title" type="text" />
	<div class="field_val "></div>	
	</div>
</div>


<div class="cp_login_row" style="float:right;height: 110px;">
	<div class="cp_title"><span style="color:red">*</span>تاريخ المعرض</div>
	<div class="cp_field">
	<input class="datepicker required" alt="1" name="date" type="text" />
	<div class="field_val "></div>	
	</div>
</div>


<div class="cp_login_row half_row_wide_right"  style="float:right;;">
	<div class="cp_title"><span style="color:red">*</span> الوصف</div>
	<div class="cp_field">

	<textarea  class="wymeditor required" alt="1" id="desc"  name="desc" ></textarea>
	<div class="field_val"></div>	
	</div>
</div>


<div class="cp_login_row " style="float:right;;height:120px">
	<div class="cp_title "><span style="color:red">*</span>الكاتب</div>
	<div class="cp_field">
	<input alt="1" id="title" class="required" name="writer" type="text" />
	<div class="field_val "></div>	
	</div>
</div>


<div class="cp_login_row half_row_wide_right"  style="float:right;;">
	<div class="cp_title">وصف ال seo</div>
	<div class="cp_field">

		<textarea class=" requiredx" alt="1" id="desc"  name="seo_desc" ></textarea>
		<div class="field_val"></div>	
	</div>
</div>


<div class="cp_login_row half_row_wide_right"  style="float:right;;">
<div class="cp_title">الكلمات المفتاحية</div>
<div class="cp_field">

<textarea class=" requiredx" alt="1"   name="keywords" ></textarea>
<div class="field_val"></div>	
</div>
</div>


<div class="cp_login_row" >
<div class="cp_title">وضع العلامة المائية</div>
<div class="cp_field">
<input alt="1" class="water_mark" name="water_mark" type="checkbox"  />	
</div>
</div>

<div class="cp_field" >
<div class="cp_title">اضافة الصور</div>
<div class="cp_field" >
<div id="fileuploader" style="height:200px;">رفع الصور</div> 
 <?php $_SESSION['image_width']='900' ; ?>
</div>
</div>
<div class="cp_login_row "  style=" height:20px;display:none;">
<div class="cp_field">
<input alt="1" id="images" name="images" class="required" name="title" type="text" />
<div style="margin-top:-80px;" class="field_val "></div>	
</div>
</div>

<div class="cp_login_row"  >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="priority" name="priority" type="checkbox"  />	
</div>
</div>	


<div class="cp_login_row"  >
<div class="cp_title">النشر</div>
<div class="cp_field">
<input alt="1" id="priority" name="active" type="checkbox" checked="checked"  />	
</div>
</div>	


<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="اضافة"  title="دخول" type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	
<div style="display:none" id="code_generator"></div>
</div>


<?php 
//تحميل الفوتر
include("cp_footer.php");?>